System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeParameterReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard. The class provides, among other methods, a common method for all service-side readers of collections of name/value pairs into Web method parameters. The name/value pairs have been parsed from an incoming HTTP request.

You typically will not need to use or its descendant classes directly. The appropriate types are used according to settings in an ASP.NET configuration file (Web.config).

Serves as a base class for readers of incoming request parameters for Web services implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  The object returned by the method is the property of the parameter. The property value is an array of type .

  The method is invoked during service initialization. Later, at the time a request is processed, the initializer object is passed to the method of another instance. The other instance performs the actual reading.

  Returns an initializer for the specified method.

  A representing the Web method.

  A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method is invoked at the time a request is processed.

  The input parameter, , is obtained by calling the method on another instance during service initialization.

  Initializes an instance.

  A array, obtained through the property of the class. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether a particular parameter type is supported by the class.

  true if a method's parameter definitions are supported by the reader; otherwise, false.

  A that specifies the parameter to check. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether a method definition's parameter definitions are supported by the class.

  true if a method's parameter definitions are supported by the reader; otherwise, false.

  A that specifies the method to check. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] ``

  The method is called by the method defined in the two classes derived from , and . Those two classes' methods take an parameter.

  Translates a collection of name/value pairs into an array of objects representing method parameter values.

  An array of objects representing method parameter values.

  A object that specifies the collection of name/value pairs containing method parameter names and values. 1.0.5000.0 2.0.0.0